
Redmine - Feature #21757

Add Total spent hours and Estimated hours to the REST API response

2016-01-19 05:28 - Takashi Ichihashi

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 3.3.0   

Resolution: Fixed   

Description

Due to #20688, the sum of "estimated hours" or "spent hours" became able to be displayed on issue list and details. However, these

value are not supported on REST API. I need to get them named "total_spent_hours" and "total_estimated_hours" via REST API.

Related issues:

Has duplicate Redmine - Feature #14717: API value for spent_hours does not in... Closed

Has duplicate Redmine - Defect #22831: Rest api no longer return estimated ti... Closed

Associated revisions

Revision 15254 - 2016-03-19 10:05 - Jean-Philippe Lang

Total spent hours and estimated hours need to be get via REST (#21757).

Patch by Takenori TAKAKI.

History

#1 - 2016-01-19 05:46 - Takashi Ichihashi

I would be glad if rejected child issues could be excluded from sum of estimated hours.

#2 - 2016-01-19 06:39 - Go MAEDA

- File feature-21757.diff added

Please try this patch: feature-21757.diff

Tests have not yet been written.

I would be glad if rejected child issues could be excluded from sum of estimated hours.

 I think API should return same values as displayed on web UI. If you want the feature on Web UI, you would be better to create another issue on this

site.

#3 - 2016-01-19 15:19 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2016-02-29 05:35 - Takenori TAKAKI

I do appreciate Takashi Ichihashi's work. I would be very happy if I could see the feature in Redmine 3.3.0.

I have updated the patch:

Compatible with latest trunk (r15148)

Added tests

#5 - 2016-03-01 07:20 - Takenori TAKAKI

- File feature-21757_trunk_r15148.patch added

#6 - 2016-03-02 01:36 - Go MAEDA

- Target version changed from Candidate for next major release to 3.3.0

Works fine for me and passed all tests. Setting target version to 3.3.0.
@Takenori, thanks for adding tests to my patch.

#7 - 2016-03-19 10:05 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed in r15254, thanks.

#8 - 2016-03-24 15:35 - Go MAEDA

- Has duplicate Feature #14717: API value for spent_hours does not include the sum of the spent_hours of the subtasks added

#9 - 2016-05-21 09:11 - Jean-Philippe Lang

- Subject changed from Total spent hours and estimated hours need to be get via REST to Add Total spent hours and Estimated hours to the REST

API response

#10 - 2017-01-07 08:13 - Go MAEDA

- Has duplicate Defect #22831: Rest api no longer return estimated time ,hours spent for master tickets added

Files

feature-21757.diff 731 Bytes 2016-01-19 Go MAEDA

feature-21757_trunk_r15148.patch 4.48 KB 2016-03-01 Takenori TAKAKI
